Ipelib: ipe::Canvas Class Reference

Ipelib

- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions

# ipe::Canvas Class Reference
Ipe canvas

A widget (control) that displays an Ipe document page. More...

`#include <ipecanvas_win.h>`

Inherits ipe::CanvasBase, ipe::CanvasBase, and ipe::CanvasBase.

List of all members.

## Public Member Functions

- Canvas (GtkWidget *parent)
- ~Canvas ()
- GtkWidget * window () const
- Canvas (QWidget *parent, Qt::WFlags f=0)
- virtual void setCursor (TCursor cursor, double w=1.0, Color *color=0)
- Canvas (HWND parent)
- HWND windowId () const

## Static Public Member Functions

- static void init (HINSTANCE hInstance)

## Protected Member Functions

- virtual void invalidate ()
- virtual void invalidate (int x, int y, int w, int h)
- virtual void paintEvent (QPaintEvent *ev)
- virtual void mousePressEvent (QMouseEvent *ev)
- virtual void mouseReleaseEvent (QMouseEvent *ev)
- virtual void mouseMoveEvent (QMouseEvent *ev)
- virtual void tabletEvent (QTabletEvent *ev)
- virtual void wheelEvent (QWheelEvent *ev)
- virtual void keyPressEvent (QKeyEvent *ev)
- virtual QSize sizeHint () const

## Detailed Description

A widget (control) that displays an Ipe document page.

## Constructor & Destructor Documentation

Canvas::Canvas | ( | GtkWidget * | parent | ) |

Canvas::~Canvas | ( |  | ) |

Canvas::Canvas | ( | QWidget * | parent,
|  | Qt::WFlags | f = `0`
| ) |  |

Construct a new canvas.

Canvas::Canvas | ( | HWND | parent | ) |

## Member Function Documentation

GtkWidget* ipe::Canvas::window | ( |  | ) | const`[inline]`

void Canvas::setCursor | ( | TCursor | cursor,
|  | double | w = `1.0`,
|  | Color * | color = `0`
| ) |  | `[virtual]`

Implements ipe::CanvasBase.

virtual void ipe::Canvas::invalidate | ( |  | ) | `[protected, virtual]`

Implements ipe::CanvasBase.

virtual void ipe::Canvas::invalidate | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  | `[protected, virtual]`

Implements ipe::CanvasBase.

void Canvas::paintEvent | ( | QPaintEvent * | ev | ) | `[protected, virtual]`

void Canvas::mousePressEvent | ( | QMouseEvent * | ev | ) | `[protected, virtual]`

void Canvas::mouseReleaseEvent | ( | QMouseEvent * | ev | ) | `[protected, virtual]`

void Canvas::mouseMoveEvent | ( | QMouseEvent * | ev | ) | `[protected, virtual]`

void Canvas::tabletEvent | ( | QTabletEvent * | ev | ) | `[protected, virtual]`

void Canvas::wheelEvent | ( | QWheelEvent * | ev | ) | `[protected, virtual]`

void Canvas::keyPressEvent | ( | QKeyEvent * | ev | ) | `[protected, virtual]`

QSize Canvas::sizeHint | ( |  | ) | const`[protected, virtual]`

void Canvas::init | ( | HINSTANCE | hInstance | ) | `[static]`

HWND ipe::Canvas::windowId | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following files:

- ipecanvas_gtk.h
- ipecanvas_win.h
- ipecanvas_qt.h
- ipecanvas_gtk.cpp
- ipecanvas_qt.cpp
- ipecanvas_win.cpp